cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/projects/{projectId}/slack/connections/{id}/channels"{
"data": [
{
"name": "<string>",
"slack_channel_id": "<string>"
}
]
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Slack Connections
List channels for a Slack connection
Refreshes the channel cache via Slack conversations.list and returns the channels the bot can see. Includes public and private channels; DMs are excluded.
GET
/
v1
/
projects
/
{projectId}
/
slack
/
connections
/
{id}
/
channels
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/projects/{projectId}/slack/connections/{id}/channels"{
"data": [
{
"name": "<string>",
"slack_channel_id": "<string>"
}
]
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Path Parameters
Project ID (base62-encoded).
Slack connection ID (base62-encoded).
Response
OK
Show child attributes
Show child attributes
Was this page helpful?